<template lang="pug">

mixin Param
  Param.col-12.col-sm-6.col-lg-3.col-xl-2&attributes(attributes)

mixin ParamDate
  ParamDate.col-12.col-sm-6.col-lg-3.col-xl-2&attributes(attributes)

mixin ParamReadonly
  ParamReadonly.col-12.col-sm-6.col-lg-3.col-xl-2&attributes(attributes)

.col-12(v-if="rfmRuns.length === 0")
  .row Data not available.
.col-12(v-else)
  .row.mt-2(v-for='run in rfmRuns')
    .col-12
      Collapsible(:expand='false')
        template(v-slot:header)
          .row
            .col-4.col-xs-12.text-nowrap
              strong #[RFMergerRunIcon(:run="run")] {{ run.runNumber }} #[span(v-if="run.experiment") - {{ run.experiment }}]
            AnimBlock.col-auto
              span(v-if="!inEdit && !run.approved && run.expiryDate") Expires {{ getHumanizedDate(run.expiryDate) }}
        .col-12
          .row.mt-1.b-param-container.align-items-center
            +ParamReadonly(title='Start Date' :inEdit='inEdit' :value='run.startDate | b-moment("yyyy-MM-dd HH:mm:ss ZZ")' readonly="readonly")
            +ParamReadonly(title='Stop Date' :inEdit='inEdit' :value='run.stopDate | b-moment("yyyy-MM-dd HH:mm:ss ZZ")' readonly="readonly")
            +Param(v-if="!run.approved" title='Experiment'
              :ref="'experiment_' + run.runNumber + ''" :inEdit='inEdit' :value='run.experiment')
            +ParamReadonly(v-else="" title='Experiment' :inEdit='inEdit' :value='run.experiment')
            template(v-if='!run.approved')
              // expired === 0, value is hidden on NoExpiry (happens only when run is approved)
              +ParamReadonly(v-if="!run.expiryDate" title='ExpiryDate' :inEdit='inEdit' :value='"expired"')
              +ParamDate(v-else="" title='ExpiryDate'
                :ref="'expiry_' + run.runNumber" :inEdit='inEdit' :timestamp='run.expiryDate')
            +ParamReadonly(title='Approved' :inEdit='inEdit' :value='run.approved ? "Yes" : "No"')
            RFMergerStatsView.mt-2(:inEdit="inEdit" :stats="run")
          .row.mt-1.align-items-center.justify-content-end(v-if="inEdit")
            .col-auto(v-if='!run.approved')
              button.btn.btn-primary(@click="cmdSetRun(run.runNumber)") #[i.fa.fa-edit] Submit
              button.btn.btn-primary.ml-2(@click="cmdSetRun(run.runNumber, true)") #[i.fa.fa-archive] Archive on Tape
          Collapsible.mt-2
            template(v-slot:header='c')
              .row
                .col-12
                  strong #[i.fa.fa-file-contract] File Details
            template(v-slot:default='c')
              AnimBlock(anim="delay" :appear='false' mode='' :options='{ outDelay: 0.3 }')
                RFMergerFilesView.mt-2.recover-margin(v-if="c.isExpanded" :ref="genId(run.runNumber)"
                  :dns='dns' :inEdit="inEdit"
                  :runNumber="fromCurrentRun ? null : run.runNumber")
</template>
<script>

export { default } from './RFMergerRuns.vue.js';

</script>
<style>

  .recover-margin {
    margin-left: -1.5rem !important;
  }

</style>
